<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: ExpansionBookMenuTabNotes Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('da/d7a/a03993.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">ExpansionBookMenuTabNotes Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for ExpansionBookMenuTabNotes:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../da/d7a/a03993.png" usemap="#ExpansionBookMenuTabNotes_map" alt=""/>
  <map id="ExpansionBookMenuTabNotes_map" name="ExpansionBookMenuTabNotes_map">
<area href="../../d7/dc4/a04093.html" alt="ExpansionBookMenuTabBase" shape="rect" coords="0,0,183,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:afd661e227cabd05468786dc3f9afa03b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d7a/a03993.html#afd661e227cabd05468786dc3f9afa03b">ExpansionBookMenuTabNotes</a> (<a class="el" href="../../d2/d5a/a04081.html">ExpansionBookMenu</a> book_menu)</td></tr>
<tr class="separator:afd661e227cabd05468786dc3f9afa03b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9bed6b4b4ef5df1312644e07f9061047"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d7a/a03993.html#a9bed6b4b4ef5df1312644e07f9061047">GetLayoutFile</a> ()</td></tr>
<tr class="separator:a9bed6b4b4ef5df1312644e07f9061047"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a06a5e8d8cbaec450004d53bc6847a6ba"><td class="memItemLeft" align="right" valign="top">override&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d7a/a03993.html#a06a5e8d8cbaec450004d53bc6847a6ba">GetControllerType</a> ()</td></tr>
<tr class="separator:a06a5e8d8cbaec450004d53bc6847a6ba"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa83ee8136b3520423326ab4364a4e589"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d7a/a03993.html#aa83ee8136b3520423326ab4364a4e589">GetTabIconName</a> ()</td></tr>
<tr class="separator:aa83ee8136b3520423326ab4364a4e589"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa3e4f5e93d8039116e221651b0811dfe"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d7a/a03993.html#aa3e4f5e93d8039116e221651b0811dfe">GetTabName</a> ()</td></tr>
<tr class="separator:aa3e4f5e93d8039116e221651b0811dfe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8e610a0107222c7f10e7805f880efff9"><td class="memItemLeft" align="right" valign="top">override int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d7a/a03993.html#a8e610a0107222c7f10e7805f880efff9">GetTabColor</a> ()</td></tr>
<tr class="separator:a8e610a0107222c7f10e7805f880efff9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae3457b90febfe56ad3b3a4f3a7f855a8"><td class="memItemLeft" align="right" valign="top">override bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d7a/a03993.html#ae3457b90febfe56ad3b3a4f3a7f855a8">CanShow</a> ()</td></tr>
<tr class="separator:ae3457b90febfe56ad3b3a4f3a7f855a8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae6dc2b29b2b665b5525ad14f67fd0b12"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d7a/a03993.html#ae6dc2b29b2b665b5525ad14f67fd0b12">OnShow</a> ()</td></tr>
<tr class="separator:ae6dc2b29b2b665b5525ad14f67fd0b12"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a827024c229b8262abb96d447c0fc1b97"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d7a/a03993.html#a827024c229b8262abb96d447c0fc1b97">OnHide</a> ()</td></tr>
<tr class="separator:a827024c229b8262abb96d447c0fc1b97"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad8f7d24b92632ad273cc5ec834e6a914"><td class="memItemLeft" align="right" valign="top">override bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d7a/a03993.html#ad8f7d24b92632ad273cc5ec834e6a914">IsParentTab</a> ()</td></tr>
<tr class="separator:ad8f7d24b92632ad273cc5ec834e6a914"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1745568b31eef282f2a750617565f52b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d7a/a03993.html#a1745568b31eef282f2a750617565f52b">SetView</a> ()</td></tr>
<tr class="separator:a1745568b31eef282f2a750617565f52b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:affafcd9e4634cc0347c2f0a6dcd09823"><td class="memItemLeft" align="right" valign="top">override bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d7a/a03993.html#affafcd9e4634cc0347c2f0a6dcd09823">OnMouseEnter</a> (Widget w, int x, int y)</td></tr>
<tr class="separator:affafcd9e4634cc0347c2f0a6dcd09823"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a77fff6264dd5fd37948bdb4d0d84c638"><td class="memItemLeft" align="right" valign="top">override bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d7a/a03993.html#a77fff6264dd5fd37948bdb4d0d84c638">OnMouseLeave</a> (Widget w, Widget enterW, int x, int y)</td></tr>
<tr class="separator:a77fff6264dd5fd37948bdb4d0d84c638"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9edd1f00a95fa1732dc7852f30703bd2"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d7a/a03993.html#a9edd1f00a95fa1732dc7852f30703bd2">OnBackButtonClick</a> ()</td></tr>
<tr class="separator:a9edd1f00a95fa1732dc7852f30703bd2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae92de5966a5b2130c0a69cdcee133a74"><td class="memItemLeft" align="right" valign="top">override bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d7a/a03993.html#ae92de5966a5b2130c0a69cdcee133a74">IgnoreBackButtonBase</a> ()</td></tr>
<tr class="separator:ae92de5966a5b2130c0a69cdcee133a74"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a0caceaf49ec326c29bd5004e9bc5df41"><td class="memItemLeft" align="right" valign="top">ref <a class="el" href="../../dd/dc3/a03997.html">ExpansionBookMenuTabNotesController</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d7a/a03993.html#a0caceaf49ec326c29bd5004e9bc5df41">m_NotesTabController</a></td></tr>
<tr class="separator:a0caceaf49ec326c29bd5004e9bc5df41"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p ><a class="el" href="../../dd/d5c/a00578.html">ExpansionBookMenuTabNotes.c</a></p>
<p >DayZ Expansion Mod www.dayzexpansion.com © 2022 DayZ Expansion Mod Team</p>
<p >This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License. To view a copy of this license, visit <a href="http://creativecommons.org/licenses/by-nc-nd/4.0/">http://creativecommons.org/licenses/by-nc-nd/4.0/</a>. </p>

<p class="definition">Definition at line <a class="el" href="../../dd/d5c/a00578_source.html#l00013">13</a> of file <a class="el" href="../../dd/d5c/a00578_source.html">expansionbookmenutabnotes.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="afd661e227cabd05468786dc3f9afa03b" name="afd661e227cabd05468786dc3f9afa03b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afd661e227cabd05468786dc3f9afa03b">&#9670;&#160;</a></span>ExpansionBookMenuTabNotes()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionBookMenuTabNotes::ExpansionBookMenuTabNotes </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d2/d5a/a04081.html">ExpansionBookMenu</a>&#160;</td>
          <td class="paramname"><em>book_menu</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d5c/a00578_source.html#l00017">17</a> of file <a class="el" href="../../dd/d5c/a00578_source.html">expansionbookmenutabnotes.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="ae3457b90febfe56ad3b3a4f3a7f855a8" name="ae3457b90febfe56ad3b3a4f3a7f855a8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae3457b90febfe56ad3b3a4f3a7f855a8">&#9670;&#160;</a></span>CanShow()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override bool ExpansionBookMenuTabNotes::CanShow </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d5c/a00578_source.html#l00052">52</a> of file <a class="el" href="../../dd/d5c/a00578_source.html">expansionbookmenutabnotes.c</a>.</p>

</div>
</div>
<a id="a06a5e8d8cbaec450004d53bc6847a6ba" name="a06a5e8d8cbaec450004d53bc6847a6ba"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a06a5e8d8cbaec450004d53bc6847a6ba">&#9670;&#160;</a></span>GetControllerType()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override ExpansionBookMenuTabNotes::GetControllerType </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d5c/a00578_source.html#l00032">32</a> of file <a class="el" href="../../dd/d5c/a00578_source.html">expansionbookmenutabnotes.c</a>.</p>

</div>
</div>
<a id="a9bed6b4b4ef5df1312644e07f9061047" name="a9bed6b4b4ef5df1312644e07f9061047"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9bed6b4b4ef5df1312644e07f9061047">&#9670;&#160;</a></span>GetLayoutFile()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> ExpansionBookMenuTabNotes::GetLayoutFile </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d5c/a00578_source.html#l00027">27</a> of file <a class="el" href="../../dd/d5c/a00578_source.html">expansionbookmenutabnotes.c</a>.</p>

</div>
</div>
<a id="a8e610a0107222c7f10e7805f880efff9" name="a8e610a0107222c7f10e7805f880efff9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8e610a0107222c7f10e7805f880efff9">&#9670;&#160;</a></span>GetTabColor()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override int ExpansionBookMenuTabNotes::GetTabColor </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d5c/a00578_source.html#l00047">47</a> of file <a class="el" href="../../dd/d5c/a00578_source.html">expansionbookmenutabnotes.c</a>.</p>

</div>
</div>
<a id="aa83ee8136b3520423326ab4364a4e589" name="aa83ee8136b3520423326ab4364a4e589"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa83ee8136b3520423326ab4364a4e589">&#9670;&#160;</a></span>GetTabIconName()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> ExpansionBookMenuTabNotes::GetTabIconName </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d5c/a00578_source.html#l00037">37</a> of file <a class="el" href="../../dd/d5c/a00578_source.html">expansionbookmenutabnotes.c</a>.</p>

</div>
</div>
<a id="aa3e4f5e93d8039116e221651b0811dfe" name="aa3e4f5e93d8039116e221651b0811dfe"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa3e4f5e93d8039116e221651b0811dfe">&#9670;&#160;</a></span>GetTabName()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> ExpansionBookMenuTabNotes::GetTabName </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d5c/a00578_source.html#l00042">42</a> of file <a class="el" href="../../dd/d5c/a00578_source.html">expansionbookmenutabnotes.c</a>.</p>

</div>
</div>
<a id="ae92de5966a5b2130c0a69cdcee133a74" name="ae92de5966a5b2130c0a69cdcee133a74"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae92de5966a5b2130c0a69cdcee133a74">&#9670;&#160;</a></span>IgnoreBackButtonBase()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override bool ExpansionBookMenuTabNotes::IgnoreBackButtonBase </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d5c/a00578_source.html#l00092">92</a> of file <a class="el" href="../../dd/d5c/a00578_source.html">expansionbookmenutabnotes.c</a>.</p>

</div>
</div>
<a id="ad8f7d24b92632ad273cc5ec834e6a914" name="ad8f7d24b92632ad273cc5ec834e6a914"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad8f7d24b92632ad273cc5ec834e6a914">&#9670;&#160;</a></span>IsParentTab()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override bool ExpansionBookMenuTabNotes::IsParentTab </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d5c/a00578_source.html#l00067">67</a> of file <a class="el" href="../../dd/d5c/a00578_source.html">expansionbookmenutabnotes.c</a>.</p>

</div>
</div>
<a id="a9edd1f00a95fa1732dc7852f30703bd2" name="a9edd1f00a95fa1732dc7852f30703bd2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9edd1f00a95fa1732dc7852f30703bd2">&#9670;&#160;</a></span>OnBackButtonClick()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ExpansionBookMenuTabNotes::OnBackButtonClick </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d5c/a00578_source.html#l00087">87</a> of file <a class="el" href="../../dd/d5c/a00578_source.html">expansionbookmenutabnotes.c</a>.</p>

</div>
</div>
<a id="a827024c229b8262abb96d447c0fc1b97" name="a827024c229b8262abb96d447c0fc1b97"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a827024c229b8262abb96d447c0fc1b97">&#9670;&#160;</a></span>OnHide()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ExpansionBookMenuTabNotes::OnHide </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d5c/a00578_source.html#l00062">62</a> of file <a class="el" href="../../dd/d5c/a00578_source.html">expansionbookmenutabnotes.c</a>.</p>

</div>
</div>
<a id="affafcd9e4634cc0347c2f0a6dcd09823" name="affafcd9e4634cc0347c2f0a6dcd09823"></a>
<h2 class="memtitle"><span class="permalink"><a href="#affafcd9e4634cc0347c2f0a6dcd09823">&#9670;&#160;</a></span>OnMouseEnter()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override bool ExpansionBookMenuTabNotes::OnMouseEnter </td>
          <td>(</td>
          <td class="paramtype">Widget&#160;</td>
          <td class="paramname"><em>w</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>y</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d5c/a00578_source.html#l00077">77</a> of file <a class="el" href="../../dd/d5c/a00578_source.html">expansionbookmenutabnotes.c</a>.</p>

</div>
</div>
<a id="a77fff6264dd5fd37948bdb4d0d84c638" name="a77fff6264dd5fd37948bdb4d0d84c638"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a77fff6264dd5fd37948bdb4d0d84c638">&#9670;&#160;</a></span>OnMouseLeave()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override bool ExpansionBookMenuTabNotes::OnMouseLeave </td>
          <td>(</td>
          <td class="paramtype">Widget&#160;</td>
          <td class="paramname"><em>w</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Widget&#160;</td>
          <td class="paramname"><em>enterW</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>y</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d5c/a00578_source.html#l00082">82</a> of file <a class="el" href="../../dd/d5c/a00578_source.html">expansionbookmenutabnotes.c</a>.</p>

</div>
</div>
<a id="ae6dc2b29b2b665b5525ad14f67fd0b12" name="ae6dc2b29b2b665b5525ad14f67fd0b12"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae6dc2b29b2b665b5525ad14f67fd0b12">&#9670;&#160;</a></span>OnShow()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ExpansionBookMenuTabNotes::OnShow </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d5c/a00578_source.html#l00057">57</a> of file <a class="el" href="../../dd/d5c/a00578_source.html">expansionbookmenutabnotes.c</a>.</p>

</div>
</div>
<a id="a1745568b31eef282f2a750617565f52b" name="a1745568b31eef282f2a750617565f52b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1745568b31eef282f2a750617565f52b">&#9670;&#160;</a></span>SetView()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionBookMenuTabNotes::SetView </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d5c/a00578_source.html#l00072">72</a> of file <a class="el" href="../../dd/d5c/a00578_source.html">expansionbookmenutabnotes.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="a0caceaf49ec326c29bd5004e9bc5df41" name="a0caceaf49ec326c29bd5004e9bc5df41"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0caceaf49ec326c29bd5004e9bc5df41">&#9670;&#160;</a></span>m_NotesTabController</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ref <a class="el" href="../../dd/dc3/a03997.html">ExpansionBookMenuTabNotesController</a> ExpansionBookMenuTabNotes::m_NotesTabController</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d5c/a00578_source.html#l00015">15</a> of file <a class="el" href="../../dd/d5c/a00578_source.html">expansionbookmenutabnotes.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>DayzExpansion/Book/Scripts/5_mission/dayzexpansion_book/book/booktabs/notes/<a class="el" href="../../dd/d5c/a00578_source.html">expansionbookmenutabnotes.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../da/d7a/a03993.html">ExpansionBookMenuTabNotes</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
